#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1412bb4e, "module_layout" },
	{ 0xab101fe6, "sdhci_set_bus_width" },
	{ 0xbfb5a8ae, "sdhci_cqe_disable" },
	{ 0xab4a9016, "platform_driver_unregister" },
	{ 0x41d5bee8, "__platform_driver_register" },
	{ 0x837b7b09, "__dynamic_pr_debug" },
	{ 0xb2233f04, "sdhci_execute_tuning" },
	{ 0xb086ca11, "regulator_is_supported_voltage" },
	{ 0xd7dca33e, "sdhci_set_uhs_signaling" },
	{ 0xbecc3784, "sdhci_start_signal_voltage_switch" },
	{ 0xbc547cbc, "sdhci_request" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xedae80b, "sdhci_set_clock" },
	{ 0x477816bb, "pinctrl_select_state" },
	{ 0x5f164464, "mmc_send_tuning" },
	{ 0x797570b2, "__sdhci_set_timeout" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfbc89975, "sdhci_cqe_enable" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5541ec8d, "sdhci_reset" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4d3585b8, "__dynamic_dev_dbg" },
	{ 0x60ee6dc8, "_dev_warn" },
	{ 0x58b7141a, "_dev_err" },
	{ 0x84ae4c89, "sdhci_cleanup_host" },
	{ 0x7c68570c, "__sdhci_add_host" },
	{ 0x9dfb7735, "cqhci_init" },
	{ 0xbff36d9c, "devm_kmalloc" },
	{ 0x67bc04b0, "sdhci_add_host" },
	{ 0xbba41c2d, "dev_err_probe" },
	{ 0xc81ce0d5, "sdhci_setup_host" },
	{ 0x5b85d6e, "sdhci_enable_v4_mode" },
	{ 0x81e28c4e, "pinctrl_lookup_state" },
	{ 0x26641ab4, "devm_pinctrl_get" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x6837e631, "__devm_reset_control_get" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x1f23345d, "devm_clk_get" },
	{ 0x3bbdc7b0, "devm_gpiod_get_optional" },
	{ 0xa831a1c9, "device_property_present" },
	{ 0x198dab80, "mmc_of_parse" },
	{ 0xf1c51e67, "sdhci_pltfm_init" },
	{ 0x280c6b19, "of_match_device" },
	{ 0x311ee66f, "sdhci_resume_host" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xd54b08a8, "sdhci_dumpregs" },
	{ 0xc5850110, "printk" },
	{ 0x52726d27, "device_property_read_u32_array" },
	{ 0x8955307e, "sdhci_pltfm_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x56f773f6, "sdhci_remove_host" },
	{ 0xdc4421aa, "cqhci_resume" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x75854ca, "sdhci_suspend_host" },
	{ 0x877e8409, "cqhci_deactivate" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0x17ed5809, "cqhci_irq" },
	{ 0x799db982, "sdhci_cqe_irq" },
	{ 0xc2d9416a, "dma_set_coherent_mask" },
	{ 0xc538df4a, "dma_set_mask" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xf40d0e3, "mmc_gpio_get_ro" },
};

MODULE_INFO(depends, "sdhci,mmc_core,cqhci,sdhci-pltfm");

MODULE_ALIAS("of:N*T*Cnvidia,tegra194-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-sdhciC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-sdhci");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-sdhciC*");

MODULE_INFO(srcversion, "4269C26F319D77BBA6D48C9");
MODULE_INFO(rhelversion, "9.1");
